Page MenuHomePhabricator

Call to a member function getContent() on null
Closed, ResolvedPublic

Description

Error

MediaWiki version: 1.35.0-wmf.5

message
Call to a member function getContent() on null

Impact

Likely causes edits to fail.

Notes

Not sure if this is new page creation or edits to an existing page or if this is an edit to a page that was deleted / uneditable. Given that we've previously handled the first two, likely the last scenario.

Details

Request ID
5afe3b00-0ceb-11ea-b6e4-cf766a83b411
Request URL
https://www.mediawiki.org/w/rest.php/www.mediawiki.org/v3/transform/pagebundle/to/wikitext/User%3ASstechkv/3515077
Stack Trace
exception.trace
#0 /srv/deployment/parsoid/deploy-cache/revs/766562458022b36f7d641065bcb7161e512d650c/src/extension/src/Rest/Handler/ParsoidHandler.php(791): Parsoid\Config\Env->getPageMainContent()
#1 /srv/deployment/parsoid/deploy-cache/revs/766562458022b36f7d641065bcb7161e512d650c/src/extension/src/Rest/Handler/TransformHandler.php(95): MWParsoid\Rest\Handler\ParsoidHandler->html2wt(Parsoid\Config\Env, array, string)
#2 /srv/mediawiki/php-1.35.0-wmf.5/includes/Rest/Router.php(315): MWParsoid\Rest\Handler\TransformHandler->execute()
#3 /srv/mediawiki/php-1.35.0-wmf.5/includes/Rest/Router.php(285): MediaWiki\Rest\Router->executeHandler(MWParsoid\Rest\Handler\TransformHandler)
#4 /srv/mediawiki/php-1.35.0-wmf.5/includes/Rest/EntryPoint.php(116): MediaWiki\Rest\Router->execute(MediaWiki\Rest\RequestFromGlobals)
#5 /srv/mediawiki/php-1.35.0-wmf.5/includes/Rest/EntryPoint.php(83): MediaWiki\Rest\EntryPoint->execute()
#6 /srv/mediawiki/php-1.35.0-wmf.5/rest.php(31): MediaWiki\Rest\EntryPoint::main()
#7 /srv/mediawiki/w/rest.php(3): require(string)
#8 {main}
Related Gerrit Patches:

Event Timeline

ssastry created this task.Nov 22 2019, 5:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2019, 5:38 PM
ssastry triaged this task as High priority.Nov 22 2019, 5:39 PM
ssastry lowered the priority of this task from High to Low.

https://www.mediawiki.org/wiki/User:Sstechkv says that the user is blocked. So, this is indeed a scenario of trying to save an edit to a page that is blocked. As such, the impact is more limited. So, lowering priority.

Change 555588 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Throw an exception when the requested revision is not found

https://gerrit.wikimedia.org/r/555588

Tgr moved this task from Porting to Bugs, Notices, Crashers on the Parsoid-PHP board.
ssastry claimed this task.Dec 12 2019, 5:55 PM

Change 555588 merged by jenkins-bot:
[mediawiki/services/parsoid@master] html2wt selser: Return http 409 if the previous revision is not found

https://gerrit.wikimedia.org/r/555588

ssastry closed this task as Resolved.Mon, Dec 23, 5:55 PM

Mentioned in SAL (#wikimedia-operations) [2020-01-08T21:55:58Z] <arlolra> Updated Parsoid to f963e51 (T238934, T237318, T238022, T228217)